FROM openjdk:8-jdk-alpine
LABEL maintainer "tamerdibsi@gmail.com"
ARG JAR_FILE=target/*.jar
COPY ${JAR_FILE} app.jar
ENV H="Dspring.profiles.active=h2"
ENV DB_NAME h2
ENV JAVA_OPTS="-Xms1024m -Xmx4048m -Djava.awt.headless=true -Dfile.encoding=UTF-8 -Djava.security.egd=file:/dev/./urandom -Dspring.profiles.active=$DB_NAME"
#ENTRYPOINT ["java","-jar","-Dspring.profiles.active=h2","/app.jar"] working static
ENTRYPOINT java -jar ${JAVA_OPTS} /app.jar
####NEEDED LATER###
#docker build -t test .
#docker run -it --rm -p 8070:8090 test:latest
#docker tag test:latest  tamerdibsidocker/$(./setVersion.sh)
#docker tag test:latest  tamerdibsidocker/devops:$(./setVersion.sh)
#docker push tamerdibsidocker/devops:7e01603c-20200430
